﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WPFComboBox_F125423
{
    public class ViewModel : INotifyPropertyChanged
    {

        private Model1 text;
        public Model1 Text
        {
            get
            {
                return text;
            }

            set
            {
                text = value;
                RaisePropertyChanged("Text");
            }
        }
        private ObservableCollection<Model1> products;
        public ObservableCollection<Model1> Products
        {
            get { return products; }
            set { products = value; }
        }
        public ViewModel()
        {
            Products = new ObservableCollection<Model1>();

            Products.Add(new Model1() { Name = "UK" });
            Products.Add(new Model1() { Name = "CA " });
            Products.Add(new Model1() { Name = "DE" });
            Products.Add(new Model1() { Name = "IN" });
            Products.Add(new Model1() { Name = "UA" });

        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void RaisePropertyChanged(string propertyName)
        {
            var property = PropertyChanged;
            if (property != null)
                property(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
